%define kmod_name iomemory-vsl
%define kmod_version 2.3.1.123
%define kmod_release 1%{?dist}

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion %(uname -r)}

Name:		%{kmod_name}-kmod
Version:	%{kmod_version}
Release:	%{kmod_release}
Summary:	%{kmod_name} kernel module(s)
Summary(ko):	%{kmod_name} 커널 모듈

Group:		System Environment/Kernel
License:	GPLv2
Source0:	http://people.netfilter.org/acidfu/patchlets/%{kmod_name}-%{version}.tar.bz2
Source1:	kmodtool-%{kmod_name}-an2.sh
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	redhat-rpm-config kernel-devel

# Define the variants for each architecture.
%define basevar ""
%ifarch i686
%define paevar PAE
%endif

# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
%{!?kvariants: %define kvariants %{?basevar} %{?paevar}}

# Magic hidden here.
%{expand:%(sh %{SOURCE1} rpmtemplate %{kmod_name} %{kversion} %{kvariants})}

# Disable the building of the debug package(s).
%define debug_package %{nil}

# Define the filter.
%define __find_requires sh %{_builddir}/%{buildsubdir}/filter-requires.sh

%description
iomemroy-vsl kernel module

%prep
%setup -q  -c -T -a 0
for kvariant in %{kvariants} ; do
	%{__cp} -a %{kmod_name}-%{version} _kmod_build_$kvariant
done
echo "/usr/lib/rpm/redhat/find-requires | %{__sed} -e '/^ksym.*/d'" > filter-requires.sh
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf


%build
for kvariant in %{kvariants} ; do
	#KSRC=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}.%{_target_cpu}
	#KSRC=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}
	#%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD/_kmod_build_$kvariant
	cd _kmod_build_$kvariant
	%{__make}
	cd -
done

%install
%{__rm} -rf %{buildroot}
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants} ; do
	#KSRC=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}.%{_target_cpu}
	KSRC=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}
	%{__make} -C "${KSRC}" modules_install M=$PWD/_kmod_build_$kvariant
done
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;

%clean
%{__rm} -rf %{buildroot}

%changelog
* Thu Feb 16 2012 JoungKyun.Kim <http://oops.org> 2.3.1.123-1%{?dist}
- add
